import { html as f } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as a } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, u = Object.getOwnPropertyDescriptor, i = (p, t, r, s) => {
  for (var e = s > 1 ? void 0 : s ? u(t, r) : t, l = p.length - 1, c; l >= 0; l--)
    (c = p[l]) && (e = (s ? c(t, r, e) : c(e)) || e);
  return s && e && m(t, r, e), e;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--close", this.class = "c-pieIcon c-pieIcon--close", this.name = "IconClose";
  }
  render() {
    return f`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--close"><path d="M11.868 3.205 8 7.073 4.133 3.205l-.928.928L7.073 8l-3.868 3.868.928.927L8 8.928l3.868 3.867.927-.927L8.928 8l3.867-3.867-.927-.928Z"></path></svg>`;
  }
};
i([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  a("icon-close")
], o);
export {
  o as IconClose
};
